/**
 * @license react-hook-qrcode-svg
 * Copyright (c) 2022, Alex Zelensky. (MIT License)
 * https://github.com/alexzel/react-hook-qrcode
 */
declare type ErrorLevel = 'L' | 'M' | 'Q' | 'H';
interface Rectangle {
    x?: number;
    y?: number;
    width: number;
    height: number;
}
declare type ExcludeArea = Rectangle & {
    baseSize: number;
};
interface ExcludePoints {
    x1: number;
    y1: number;
    x2: number;
    y2: number;
}
interface QrCode {
    path: string;
    viewBox: string;
    excludePoints?: ExcludePoints;
}
declare const _default: (text: string, level?: ErrorLevel, border?: number, exclude?: ExcludeArea | null) => QrCode | null;

export { _default as default };
